Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003286 [DCSS] Patches minor N/A 2011-01-25 01:08 2012-02-14 13:54
Reporter Eronarn View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0003286: Ignite Poison changes
Description Here's a patch that makes the following functional changes to Ignite Poison:

-decreases the level to 5
-no longer affects your:
 *poisoning
 *items in your inventory
 *racial poison-ness


It also modifies the code pathway to better support the possibility of monster Ignite Poison by dropping the assumption that the player is casting it. All the old ignite-vs.-player effects are preserved in a new function which can be called if someone other than the player casts it.

Note that at this time it doesn't actually add monster Ignite as a spell. I think it would be fitting on a TSOite spellcaster unique, though!
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Squashed-commit-of-the-following.patch [^] (6,916 bytes) 2011-01-25 01:08 [Show Content]

- Relationships

-  Notes
(0010643)
KiloByte (manager)
2011-01-25 02:41

Applied, thanks.
(0010654)
evktalo (administrator)
2011-01-25 17:07

Good changes! Even though affecting yourself is cool and flavourful, I can't imagine it resulting to anything but interface tedium (read: unused spell) as it was previously implemented.

Request for future: add the changes to the commit message too.

--Eino
(0010660)
KiloByte (manager)
2011-01-25 19:13

M'kay, sorry. I replaced the commit message that said "squashed commit of the following..." but had no information either, I should have at least copied the list from this Mantis entry.
(0016472)
Eronarn (updater)
2012-01-01 05:24

Can we get monster ignite poison? I saved the old inventory code only for that. Surely we can think of something to put it on.
(0016747)
KiloByte (manager)
2012-01-18 03:26

That's a FR...
(0017016)
KiloByte (manager)
2012-02-14 13:53

I'd say it's way too situational to be worth the effort.

As this is a FR, closing. Of course, if anyone actually bothers to code it, it would be nice.

- Issue History
Date Modified Username Field Change
2011-01-25 01:08 Eronarn New Issue
2011-01-25 01:08 Eronarn File Added: 0001-Squashed-commit-of-the-following.patch
2011-01-25 02:41 KiloByte Note Added: 0010643
2011-01-25 02:41 KiloByte Status new => resolved
2011-01-25 02:41 KiloByte Fixed in Branch => 0.8 development branch
2011-01-25 02:41 KiloByte Resolution open => done
2011-01-25 02:41 KiloByte Assigned To => KiloByte
2011-01-25 17:07 evktalo Note Added: 0010654
2011-01-25 19:13 KiloByte Note Added: 0010660
2012-01-01 05:24 Eronarn Note Added: 0016472
2012-01-01 05:24 Eronarn Status resolved => feedback
2012-01-01 05:24 Eronarn Resolution done => reopened
2012-01-18 03:26 KiloByte Assigned To KiloByte =>
2012-01-18 03:26 KiloByte Note Added: 0016747
2012-02-14 13:53 KiloByte Note Added: 0017016
2012-02-14 13:53 KiloByte Status feedback => resolved
2012-02-14 13:53 KiloByte Resolution reopened => done
2012-02-14 13:53 KiloByte Assigned To => KiloByte


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker